• Welcome to the Lightroom Queen Forums! We're a friendly bunch, so please feel free to register and join in the conversation. If you're not familiar with forums, you'll find step by step instructions on how to post your first thread under Help at the bottom of the page. You're also welcome to download our free Lightroom Quick Start eBooks and explore our other FAQ resources.
  • Stop struggling with Lightroom! There's no need to spend hours hunting for the answers to your Lightroom Classic questions. All the information you need is in Adobe Lightroom Classic - The Missing FAQ!

    To help you get started, there's a series of easy tutorials to guide you through a simple workflow. As you grow in confidence, the book switches to a conversational FAQ format, so you can quickly find answers to advanced questions. And better still, the eBooks are updated for every release, so it's always up to date.
  • 17 August 2022 It's Lightroom update time again and there's a couple of minor improvements as well as new cameras, lenses and bug fixes! See this blog post for Lightroom Classic and this blog post for the Lightroom Cloud Ecosystem changes.

Upgrading pretty much everything

AlexR

Member
Joined
Jan 11, 2014
Messages
31
Location
Radnorshire, UK
Lightroom Experience
Beginner
Lightroom Version
Lightroom Version
LR6 to Classic
Operating System
  1. macOS 10.14 Mojave
Hi - I currently use two Macs, one a 2013 27" iMac running on Mojave 10.14.6 and using LR 6.14. For a recent long journey I bought a MacBook running Monterey 12.3.1 and with a subscription to LR Classic 11.2.
My questions are - if I upgrade the iMac to run on Catalina 10.15.7 (the latest OS available for this model) - will this allow me to install and safely run LR Classic 11xx ? And will it allow me to safely access my old images (about 75,000), originally imported and processed with LR6? Is there a safe recommended procedure for such an upgrade?
I shall be extremely grateful for any advice.

Thanks,
Alex
 
Joined
Feb 1, 2010
Messages
13,679
Location
West Sussex, UK
Lightroom Experience
Advanced
Lightroom Version
Classic
The official System Requirements for current version of Classic (11.x) categorically state that Catalina is the minimum version required, so if your iMac can indeed be upgraded to Catalina then you should be OK to upgrade your perpetual LR6 to the latest version of LrClassic: https://helpx.adobe.com/uk/lightroom-classic/system-requirements.html

One thing to note, however, is that it is almost certain that Catalina support will be dropped when Apple introduces the Monterey replacement and Adobe releases the version 12 of LrClassic....both of which are presumably happening later this year.
 
Joined
Jun 13, 2017
Messages
490
Location
Melbourne, Australia
Lightroom Experience
Advanced
Lightroom Version
Classic
As for the second part of your question:
And will it allow me to safely access my old images (about 75,000), originally imported and processed with LR6? Is there a safe recommended procedure for such an upgrade?
Assuming you can successfully upgrade your operating system and that Lightroom Classic runs OK on it, then the first time you open the new Lightroom Classic with your old catalog, it will automatically upgrade that catalog to the latest version (it will make a new copy of the catalog). It should be quite easy and transparent. All your old photos and their edits should be preserved.

Just in case, always ensure you make a good backup (of the catalog and the photos) before you make any changes! See: https://www.lightroomqueen.com/backup-lightroom-files/.

Going forward, you will have to think about whether you want to run Lightroom Classic on the old computer or the new MacBook, or both. See https://www.lightroomqueen.com/how-to-lightroom-catalog-multiple-computers/.
 

AlexR

Member
Joined
Jan 11, 2014
Messages
31
Location
Radnorshire, UK
Lightroom Experience
Beginner
Lightroom Version
The official System Requirements for current version of Classic (11.x) categorically state that Catalina is the minimum version required, so if your iMac can indeed be upgraded to Catalina then you should be OK to upgrade your perpetual LR6 to the latest version of LrClassic: https://helpx.adobe.com/uk/lightroom-classic/system-requirements.html

One thing to note, however, is that it is almost certain that Catalina support will be dropped when Apple introduces the Monterey replacement and Adobe releases the version 12 of LrClassic....both of which are presumably happening later this year.
Thanks for your help - it's an interim measure, as I hope to be able to buy a new iMac with much more storage later this year
Alex
 
Top